Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455314 - ksh cannot be installed as directed by release notes, until pdksh is uninstalled beforehand
Summary: ksh cannot be installed as directed by release notes, until pdksh is uninstal...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: Documentation
Version: 4.7
Hardware: ia32e
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Ryan Lerch
QA Contact: Content Services Development
URL: http://www.redhat.com/docs/manuals/en...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 19:34 UTC by ritz
Modified: 2018-10-19 23:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-19 21:45:23 UTC


Attachments (Terms of Use)

Description ritz 2008-07-14 19:34:51 UTC
Description of problem:
Based on the ia32el installation guide in rhel4.4 release notes:
http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/release-notes/as-itanium/RELEASE-NOTES-U4-ia64-en.html,


RPM Installation of ksh-20050202-0.5E.4.ia64.rpm failed and complained: "error:
Failed dependencies:
       pdksh conflicts with ksh-20050202-0.5E.4.ia64"


Version-Release number of selected component (if applicable):
pdksh-5.2.14-30.6
ksh-20050202-0.5E.4

How reproducible:
always

Steps to Reproduce:
1. up2date pdksh
2. up2date ks
  
Actual results:
 pdksh conflicts with ksh-20050202-0.5E.4.ia64"

Expected results:
Documentation be update tp reflect that pdksh needs to be uninstalled before ksh
can be installed



Additional info:

from ksh.spec 
...
Conflicts:    pdksh
..

-----------------------

4# Install the ia32el and ksh packages:

 $ rpm -e pdksh
 $ rpm -Uvh ia32el-<version>.ia64.rpm ksh-<version>.ia64.rpm

Comment 2 Don Domingo 2008-07-15 02:24:53 UTC
thanks. changes applied to RHEL4.4,4.5,4.6, and 4.7 online. these changes should
be up within the next 24 hours or so. 


Note You need to log in before you can comment on or make changes to this bug.